Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224445 - CVE-2007-0493 BIND might crash after attempting to read free()-ed memory
Summary: CVE-2007-0493 BIND might crash after attempting to read free()-ed memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact: Ben Levenson
URL: http://marc.theaimsgroup.com/?l=bind-...
Whiteboard: impact=low,source=gentoo,public=20070...
: 238117 (view as bug list)
Depends On:
Blocks: 238117
TreeView+ depends on / blocked
 
Reported: 2007-01-25 19:06 UTC by Lubomir Kundrak
Modified: 2013-04-30 23:35 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0057
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 14:55:27 UTC


Attachments (Terms of Use)
proposed fix (deleted)
2007-01-31 14:12 UTC, Martin Stransky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0057 normal SHIPPED_LIVE Moderate: bind security update 2007-03-14 14:55:24 UTC

Description Lubomir Kundrak 2007-01-25 19:06:43 UTC
+++ This bug was initially created as a clone of Bug #224443 +++

Description of problem:

fetchctx structures,  not keeping count of its uses, might be read
even after beind deallocated resulting in name server denial of
service under certain circumstances.

Version-Release number of selected component (if applicable):

Unclear whether this issue also affects 3.2 BIND, besides 3.3.
For sure affects FC-5, FC-6 and RHEL-5

How reproducible:

Hardly ever.

Steps to Reproduce:

No known way to reproduce. The advisory notes, that the issue can be
partly mitigated by disabling recursion, so probably some deep recursive
queries might trigger the bug?
  
Actual results:

Server DoS?

Expected results:

What would you expect from read of deallocated memory? :)

Additional info:

ISC is not particularly good at providing either patches or information
about the flaws. The attached patch incorporates another fix which
changes roughly the same code.

-- Additional comment from lkundrak@redhat.com on 2007-01-25 14:04 EST --
Created an attachment (id=146596)
Fix for BIND out-of bound read DoS sucked from upstream BIND release

Comment 1 Martin Stransky 2007-01-31 14:12:05 UTC
Created attachment 147023 [details]
proposed fix

Comment 5 Red Hat Bugzilla 2007-03-14 14:55:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0057.html


Comment 7 Adam Tkac 2007-05-24 12:46:27 UTC
*** Bug 238117 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.